# Button Library for MicroBlocks

Welcome to the **Button Library** for MicroBlocks!  
This library makes it easy for anyone—even if you don’t know how to code or use a computer much—to control a Button using simple blocks in MicroBlocks.

---

## Features

- **Easy drag-and-drop blocks** for controlling your Button
- **No coding required**
- **Turn on & off the Button**
- **Control the notes**
- **Beginner-friendly instructions**

---

## Getting Started

**What you need:**
- Spark microcontroller and connecting wires
- MicroBlocks IDE installed ([Download here](https://microblocks.fun/download/))
- A Button and basic connecting wires

---

## Installation

1. **Download the Button Library:**  
   Download the library file from [here](Spark_Digital.ubl).

2. **Open MicroBlocks IDE** on your computer.

3. **Add the Library:**
   - Go to the library manager in MicroBlocks.
   - Click “Import Library” or drag and drop the downloaded file into the IDE.

---

## How to Use

1. **Connect your Button** to your microcontroller’s pins (see your board’s pinout for details).

2. **Open MicroBlocks IDE** and make sure your board is connected.

3. **Find the Button blocks** in the blocks menu.

4. **Drag the blocks** you want to use into your script area.  
   - For example: 
    - “Set Pin Value 
    - Turn Button On and Off
    - Turn Inverted Button On and Off"

5. **Click the green flag** or “Run” to start controlling your Button!

---
## Example Project

![](Images/2.png)

After setting the pin value, there are two ways to use a Button:

1. You can simply turn it on or off.
2. You can adjust its notes.

---

*Have fun building with your Button!*

